000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "EMAIL".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009
000010     SELECT EMAILDATA
000011            ASSIGN TO WF-EMAILDATA
000012            ORGANIZATION IS LINE SEQUENTIAL
000013            ACCESS MODE  IS SEQUENTIAL
000014            FILE STATUS  IS STAT-EMAIL.
000015 DATA DIVISION.
000016 BASED-STORAGE SECTION.
000017 FILE SECTION.
000018     COPY "CGILIB\CGI-OUT.FD".
000019
000020 FD  EMAILDATA GLOBAL
000021     LABEL RECORDS ARE OMITTED.
000022 01  LINEA         PIC X(1024).
000023
000024 WORKING-STORAGE SECTION.
000025 01 POWER--HPOWOBJS-EMAIL IS GLOBAL IS EXTERNAL.
000026   02 POWER--HPOWOBJ--EMAIL.
000026     03 EMAIL PIC S9(9) COMP-5.
000026     03 POW-P001 REDEFINES  EMAIL USAGE POINTER.
000027 01  REDEFINES POWER--HPOWOBJS-EMAIL.
000028   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000029 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000030 COPY "CGILIB\LS-HTTP-PW3.FDT".
000031
000032 COPY "CGILIB\TEMPLATE.WSS".
000033
000034 COPY "CGILIB\COBEMAIL.WSS".
000035
000036
000037 01  WEB-DATA IS GLOBAL.
000038     02 FUNC                  PIC X(10).
000039     02 DEMAIL                PIC X(100).
000040     02 PARAMAIL              PIC X(100).
000041     02 TITULO                PIC X(100).
000042     02 CONTENIDO             PIC X(4096).
000043       
000044 01  GLOBAL-DATA IS GLOBAL.
000045     02  STAT-EMAIL                PIC X(02).
000046     02  WF-EMAILDATA              PIC X(150).
000047 CONSTANT SECTION.
000048 LINKAGE SECTION.
000049 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000050 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000051                    USAGE IS COMPUTATIONAL-5.
000052 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000053                    USAGE IS COMPUTATIONAL-5.
000054 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000055                    USAGE IS COMPUTATIONAL-5.
000056 PROCEDURE DIVISION
000057     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000058     EVALUATE POWER--MESSAGE
000059     WHEN 1024
000060         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000061     WHEN 1036
000062         CALL "EMAIL-OPENED"
000063     WHEN 1038
000064         CALL "EMAIL-START"
000065     END-EVALUATE
000066     EXIT PROGRAM.
000067 IDENTIFICATION DIVISION.
000068 PROGRAM-ID. "EMAIL-OPENED".
000069 ENVIRONMENT DIVISION.
000070 DATA        DIVISION.
000071
000072 WORKING-STORAGE SECTION.
000073
000074 01  ARR-CONTENIDO.
000075     02 ARR-CONTENIDOX         OCCURS 4 TIMES.
000076        04 ARR-CONTENIDOY      PIC X(1024).
000077
000078
000079
000080 PROCEDURE   DIVISION.
000081 INICIO.
000082     MOVE HTTP-DATA-INP  TO WEB-DATA.
000083
000084     PERFORM TPL-OPEN-FILE.         
000085           
000086     IF FUNC = "Send"
000087        PERFORM 100-ENVIA-EMAIL
000088     ELSE
000089        MOVE "tpl\email.html" TO TPL-FILENAME.
000090        PERFORM TPL-ADD-FILENAME.
000091           
000092
000093     CLOSE CGI-OUT.
000094
000095     GO TO EXIT-PROG.
000096
000097 100-ENVIA-EMAIL.
000098     MOVE "C:\TEMP\EMAIL2.TXT" TO WF-EMAILDATA.
000099           
000100     OPEN OUTPUT EMAILDATA.
000101
000102     MOVE SPACES    TO FROM-NAME.
000103     MOVE DEMAIL    TO FROM-EMAIL.
000104     WRITE LINEA FROM EMAIL-FROM.
000105
000106     MOVE SPACES      TO TO-NAME.
000107     MOVE PARAMAIL    TO TO-EMAIL.
000108     WRITE LINEA FROM EMAIL-TO.
000109           
000110     MOVE TITULO TO SUBJECT-TEXT.
000111     WRITE LINEA FROM EMAIL-SUBJECT.
000112
000113     MOVE CONTENIDO TO ARR-CONTENIDO.
000114     IF ARR-CONTENIDOY(1) NOT = SPACES
000115        MOVE ARR-CONTENIDOY(1) TO MESSAGE-TEXT
000116        WRITE LINEA FROM EMAIL-MESSAGE.
000117
000118     IF ARR-CONTENIDOY(2) NOT = SPACES
000119        MOVE ARR-CONTENIDOY(2) TO MESSAGE-TEXT
000120        WRITE LINEA FROM EMAIL-MESSAGE.
000121
000122     IF ARR-CONTENIDOY(3) NOT = SPACES
000123        MOVE ARR-CONTENIDOY(3) TO MESSAGE-TEXT
000124        WRITE LINEA FROM EMAIL-MESSAGE.
000125
000126     IF ARR-CONTENIDOY(4) NOT = SPACES
000127        MOVE ARR-CONTENIDOY(4) TO MESSAGE-TEXT
000128        WRITE LINEA FROM EMAIL-MESSAGE.
000129
000130
000131           
000132     CLOSE EMAILDATA.
000133           
000134     MOVE WF-EMAILDATA TO EMAIL-FILE.
000135     PERFORM TPL-SEND-EMAIL.
000136
000137
000138
000139     COPY "CGILIB\TEMPLATE.FDT".
000140
000141 EXIT-PROG.
000142     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE EMAIL .
000143
000144 END PROGRAM "EMAIL-OPENED".
000145 IDENTIFICATION DIVISION.
000146 PROGRAM-ID. "EMAIL-START".
000147 PROCEDURE DIVISION.
000148     EXIT PROGRAM.
000149 END PROGRAM "EMAIL-START".
000150 END PROGRAM "EMAIL".
